/* ======================================= */
/* CSS RESET */
/* ======================================= */

:root {
  --font-poppins: "Poppins", sans-serif;

  --font-size-xs: 1.2rem;
  --font-size-sm: 1.4rem;
  --font-size-md: 1.6rem;
  --font-size-lg: 2rem;
  --font-size-xl: 2.4rem;
  --font-size-xxl: 3.2rem;
  --font-size-xxxl: 4.8rem;

  --space-xxs: 0.4rem;
  --space-xs: 0.8rem;
  --space-sm: 1.2rem;
  --space-md: 1.6rem;
  --space-lg: 2rem;
  --space-xl: 2.4rem;
  --space-xxl: 3.2rem;
  --space-xxxl: 4rem;
  --space-xxxxl: 4.8rem;

  --font-w-normal: 400;
  --font-w-medium: 500;
  --font-w-semibold: 600;
  --font-w-bold: 700;

  --line-height: 1.6;

  --primary-color: #1d4ed8;
  --seconday-color: #3460dc;

  --delete-color: #e03131;
  --delete-hover-color: #f43f3f;

  --edit-color: #f59e0b;
  --edit-hover-color: #f9b52b;

  --gray-1: #f2f2f2;
  --gray-2: #e0e0e0;

  --border-radius: 9px;
}


/* remove spinner from number input */
input[type=number]::-webkit-outer-spin-button,
input[type=number]::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

input[type=number] {
  -moz-appearance: textfield;
}

* {
  padding: 0;
  margin: 0;
  box-sizing: inherit;
}

html {
  font-size: 62.5%;
  box-sizing: border-box;
}

body {
  font-family: var(--font-poppins);
  line-height: var(--line-height);
  font-weight: var(--font-w-normal);
  font-size: var(--font-size-md);
}

/* ======================================= */
/* REUSABLE COMPONENTS */
/* ======================================= */
h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: var(--font-w-bold);
}

h1 {
  font-size: var(--font-size-xxxl);
  letter-spacing: 1px;
}

h2 {
  font-size: var(--font-size-xxl);
  letter-spacing: 1px;
}

h3 {
  font-size: var(--font-size-xl);
}

h4 {
  font-size: var(--font-size-lg);
  word-spacing: 3px;
}

h5 {
  font-size: var(--font-size-md);
}

a:link,
a:visited {
  color: var(--primary-color);
  text-decoration: none;
}

a:hover,
a:active {
  text-decoration: underline;
}

.card {
  background: #fff;
  padding: var(--space-md);
  border-radius: var(--border-radius);
  /* box shadow to all direction */
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.text-center {
  text-align: center;
}

.width-50 {
  width: 50%;
}

.width-full {
  width: 100%;
}

.side-by-side {
  display: flex;
  gap: var(--space-md);
  align-items: center;
}

.side-by-side label {
  font-weight: 500;
}

.hidden-el {
  display: none !important;
}

.golden-dot {
  display: inline-block;
  height: 1rem;
  width: 1rem;
  background: #f59e0b;
  border-radius: 50%;
}

.grid {
  display: grid;
}


.grid-1-by-5 {
  grid-template-columns: 1fr 5fr;
}

.grid-1-by-15 {
  grid-template-columns: 1fr 15fr;
}

.grid-7-by-3 {
  /* 7 part and 3part */
  /* grid-template-columns: 7fr 3fr; */
  grid-template-columns: 6fr 4fr;
  gap: var(--space-xs);
  align-items: start;
}

.container {
  max-width: 120rem;
  margin: 0 auto;
  padding-inline: var(--space-lg);
}

.content-full-center {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
  height: 100dvh
}

.content-full-center .card {
  width: 100%;
  max-width: 50rem;
}

.btn {
  padding: var(--space-sm) var(--space-lg);
  border-radius: var(--border-radius);
  cursor: pointer;
  border: none;
  font-family: inherit;
  font-size: var(--font-size-sm);
  font-weight: var(--font-w-medium);
  display: inline-block;
  text-align: center;
  text-decoration: none;

  transition: background 0.2s;
}

.btn--primary {
  background: var(--primary-color);
  color: #fff;
}

.btn--primary:hover {
  background: var(--seconday-color);
}

.btn:disabled {
  background: var(--gray-2);
  color: #000;
  cursor: not-allowed;
}

.delete-btn,
.delete-btn:link,
.delete-btn:visited {
  padding: var(--space-xxs) var(--space-xs);
  border-radius: 5px;
  cursor: pointer;
  border: none;
  font-family: inherit;
  font-size: var(--font-size-sm);
  font-weight: var(--font-w-medium);
  display: inline-block;
  text-align: center;
  text-decoration: none;
  background: var(--delete-color);
  color: #fff;

  transition: background 0.2s;
}

.delete-btn:hover,
.delete-btn:active {
  background: var(--delete-hover-color);
}

.edit-btn,
.edit-btn:link,
.edit-btn:visited {
  padding: var(--space-xxs) var(--space-xs);
  border-radius: 5px;
  cursor: pointer;
  border: none;
  font-family: inherit;
  font-size: var(--font-size-sm);
  font-weight: var(--font-w-medium);
  display: inline-block;
  text-align: center;
  text-decoration: none;
  background: var(--primary-color);
  color: #fff;

  transition: background 0.2s;
}

.edit-btn:hover,
.edit-btn:active {
  background: var(--seconday-color);
}

.view-btn,
.view-btn:link,
.view-btn:visited {
  padding: var(--space-xxs) var(--space-xs);
  border-radius: 5px;
  cursor: pointer;
  border: none;
  font-family: inherit;
  font-size: var(--font-size-sm);
  font-weight: var(--font-w-medium);
  display: inline-block;
  text-align: center;
  text-decoration: none;
  background: #f59e0b;
  color: #fff;

  transition: background 0.2s;
}

.view-btn:hover,
.view-btn:active {
  background: #f9b52b;
}

/* history btn */

.history-btn,
.history-btn:link,
.history-btn:visited {
  padding: var(--space-xxs) var(--space-xs);
  border-radius: 5px;
  cursor: pointer;
  border: none;
  font-family: inherit;
  font-size: var(--font-size-sm);
  font-weight: var(--font-w-medium);
  display: inline-block;
  text-align: center;
  text-decoration: none;
  background: #2f9e44;
  color: #fff;

  transition: background 0.2s;
}

.history-btn:hover,
.history-btn:active {
  background: #37b24d;
}


.alert {
  padding: var(--space-sm) var(--space-md);
  border-radius: var(--border-radius);
  display: flex;
  align-items: center;
  gap: var(--space-sm);
  font-size: var(--font-size-sm);
  font-weight: var(--font-w-medium);
  color: #fff;
  text-align: center;
  margin-bottom: var(--space-md);
}

.alert--success {
  background: #2f9e44;
}

.alert--error {
  background: #e03131;
}

.alert--info {
  background: #3730a3;
}

.alert--shadow {
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
}


/* margins */

.mb-1 {
  margin-bottom: var(--space-xs);
}

.mb-2 {
  margin-bottom: var(--space-sm);
}

.mb-3 {
  margin-bottom: var(--space-md);
}

.mb-4 {
  margin-bottom: var(--space-lg);
}

.loading-btn {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: var(--space-md);
}

.spin {
  color: #fff;
  height: 2rem;
  width: auto;
  animation: rotate 1s linear infinite;
}


@keyframes rotate {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

form {
  display: grid;
  gap: var(--space-md);
}

.form-group {
  display: grid;
  gap: var(--space-xxs);
}

.form-group label {
  font-weight: 500;
}

.form-group input {
  padding: var(--space-sm) var(--space-lg);
  border-radius: 7px;
  border: 1px solid var(--gray-2);
  font-family: inherit;
  font-size: var(--font-size-sm);
}

.form-group input::placeholder {
  color: var(--gray-2);
}

.form-group select {
  padding: var(--space-sm) var(--space-lg);
  border-radius: 7px;
  border: 1px solid var(--gray-2);
  font-family: inherit;
  font-size: var(--font-size-sm);
  background: inherit;
  cursor: pointer;
}


.radio-group {
  display: flex;
  align-items: center;
  gap: var(--space-md);
}

.radio-item {
  display: flex;
  align-items: center;
  gap: var(--space-xs);
}

.radio-item label {
  font-weight: 400;
  cursor: pointer;
}

.radio-item input {
  cursor: pointer;
  accent-color: var(--primary-color);
}

.form-group input[type="file"] {
  cursor: pointer;
}

.form-group textarea {
  padding: var(--space-sm) var(--space-lg);
  border-radius: 7px;
  border: 1px solid var(--gray-2);
  font-family: inherit;
  font-size: var(--font-size-sm);
  resize: vertical;
}

/* Switch */
/* The switch - the box around the slider */
.switch {
  position: relative;
  display: inline-block;
  width: 6rem;
  height: 3.4rem;
}

/* Hide default HTML checkbox */
.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

/* The slider */
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 2.6rem;
  width: 2.6rem;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked+.slider {
  background-color: var(--primary-color);
}

input:focus+.slider {
  box-shadow: 0 0 1px var(--primary-color);
}

input:checked+.slider:before {
  -webkit-transform: translateX(2.6rem);
  -ms-transform: translateX(2.6rem);
  transform: translateX(2.6rem);
}

/* Rounded sliders */
.slider.round {
  border-radius: 3.4rem;
}

.slider.round:before {
  border-radius: 50%;
}

/* ======================================= */
/* COMMON IN MULTIPLE PAGES */
/* ======================================= */
.success-div,
.error-div {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: var(--space-md);
  padding: var(--space-xxxl) var(--space-lg);
}

.success-icon,
.error-icon {
  height: 10rem;
  width: auto;
}

.datatable-table tr {
  transition: background 0.1s;
}

.datatable-table tr:hover {
  background: var(--gray-1);
}

.image-preview {
  display: flex;
  align-items: center;
  gap: var(--space-md);
  margin-block: var(--space-md);
}

.image-preview img {
  height: 10rem;
  width: auto;
}

/* tags */
.tag {
  padding: var(--space-xxs) var(--space-xs);
  border-radius: 5px;
  background: var(--gray-1);
  color: #000;
  font-size: var(--font-size-sm);
  font-weight: var(--font-w-medium);
}

.tag--active {
  background: #69db7c;
}

.tag--inactive {
  background: #ff6b6b;
}

.search-form {
  display: flex;
  align-items: center;
  position: relative;
}

.search-form input {
  width: 100%;
  padding: var(--space-sm) calc(var(--space-md) + 60px) var(--space-sm) var(--space-md);
  border-radius: 7px;
  border: 1px solid var(--gray-2);
  font-family: inherit;
  font-size: var(--font-size-sm);
}

.search-form input::placeholder {
  color: #333;
}

.search-form button {
  position: absolute;
  padding: var(--space-xs);
  border-radius: 5px;
  border: none;
  background: var(--primary-color);
  color: #fff;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: bold;
}

.search-form button[type="button"] {
  right: calc(var(--space-xs) + 34px);
  background: transparent;
  color: #333;
  font-size: 1.2em;
}

.search-form button[type="submit"] {
  right: var(--space-xs);
}

.search-form button[type="submit"] ion-icon {
  font-size: 1.2em;
  font-weight: bold;
}


/* Simar to search */
.coupon-form {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: var(--space-xs);
}

.coupon-form label {
  font-weight: 500;
  flex-basis: 100%
}

.coupon-form input {
  padding: var(--space-sm) var(--space-lg);
  border-radius: 7px;
  border: 1px solid var(--gray-2);
  font-family: inherit;
  font-size: var(--font-size-sm);
  flex: 1;
}

.coupon-form button {
  padding: var(--space-sm) var(--space-lg);
  border-radius: 7px;
  border: none;
  background: var(--primary-color);
  color: #fff;
  cursor: pointer;
  font-family: inherit;
  font-size: var(--font-size-sm);
  font-weight: var(--font-w-medium);
}

.coupon-form button:hover {
  background: var(--seconday-color);
}

.coupon-form button:disabled {
  background: var(--gray-2);
  color: #000;
  cursor: not-allowed;
}

.loader {
  width: 120px;
  height: 150px;
  background-color: #fff;
  background-repeat: no-repeat;
  background-image: linear-gradient(#ddd 50%, #bbb 51%),
    linear-gradient(#ddd, #ddd), linear-gradient(#ddd, #ddd),
    radial-gradient(ellipse at center, #aaa 25%, #eee 26%, #eee 50%, #0000 55%),
    radial-gradient(ellipse at center, #aaa 25%, #eee 26%, #eee 50%, #0000 55%),
    radial-gradient(ellipse at center, #aaa 25%, #eee 26%, #eee 50%, #0000 55%);
  background-position: 0 20px, 45px 0, 8px 6px, 55px 3px, 75px 3px, 95px 3px;
  background-size: 100% 4px, 1px 23px, 30px 8px, 15px 15px, 15px 15px, 15px 15px;
  position: relative;
  border-radius: 6%;
  animation: shake 3s ease-in-out infinite;
  transform-origin: 60px 180px;
}

.loader:before {
  content: "";
  position: absolute;
  left: 5px;
  top: 100%;
  width: 7px;
  height: 5px;
  background: #aaa;
  border-radius: 0 0 4px 4px;
  box-shadow: 102px 0 #aaa;
}

.loader:after {
  content: "";
  position: absolute;
  width: 95px;
  height: 95px;
  left: 0;
  right: 0;
  margin: auto;
  bottom: 20px;
  background-color: #bbdefb;
  background-image: linear-gradient(to right, #0004 0%, #0004 49%, #0000 50%, #0000 100%),
    linear-gradient(135deg, #64b5f6 50%, #607d8b 51%);
  background-size: 30px 100%, 90px 80px;
  border-radius: 50%;
  background-repeat: repeat, no-repeat;
  background-position: 0 0;
  box-sizing: border-box;
  border: 10px solid #DDD;
  box-shadow: 0 0 0 4px #999 inset, 0 0 6px 6px #0004 inset;
  animation: spin 3s ease-in-out infinite;
}

@keyframes spin {
  0% {
    transform: rotate(0deg)
  }

  50% {
    transform: rotate(360deg)
  }

  75% {
    transform: rotate(750deg)
  }

  100% {
    transform: rotate(1800deg)
  }
}

@keyframes shake {

  65%,
  80%,
  88%,
  96% {
    transform: rotate(0.5deg)
  }

  50%,
  75%,
  84%,
  92% {
    transform: rotate(-0.5deg)
  }

  0%,
  50%,
  100% {
    transform: rotate(0)
  }
}

.full-overlay {
  position: fixed;
  inset: 0;
  background: rgba(0, 0, 0, 0.5);
  backdrop-filter: blur(5px);
  z-index: 100;
  display: flex;
  justify-content: center;
  align-items: center;
}

.loader {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 101;
}

/* ======================================= */
/* ASIDE */
/* ======================================= */
.aside {
  grid-column: 1 / 2;
  background: #fff;
  height: 100vh;
  height: 100dvh;
  display: flex;
  flex-direction: column;
  gap: var(--space-xl);
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);

  position: sticky;
  top: 0;
}

.logo-container {
  display: flex;
  align-items: center;
  gap: var(--space-xxs);
  padding: var(--space-md) var(--space-lg);
}

.logo {
  height: 6.65rem;
  width: auto;
}

.logo-heading {
  font-size: var(--font-size-xxl);
  font-weight: var(--font-w-bold);
  letter-spacing: 0.1rem;
}

.aside-items {
  padding-inline: var(--space-md);
  list-style: none;
}

.aside-link:link,
.aside-link:visited {
  padding: var(--space-sm) var(--space-md);
  border-radius: var(--border-radius);
  cursor: pointer;
  border-left: 3px solid transparent;
  transition: background-color 0.2s, border-left 0.2s;

  display: flex;
  align-items: center;
  gap: var(--space-sm);
  text-decoration: none;
  font-weight: var(--font-w-normal);
  color: #000;
}

.aside-item .aside-link:hover,
.aside-item .aside-link:active {
  background: var(--gray-1);
}

.aside-item--active .aside-link:link,
.aside-item--active .aside-link:visited {
  background-color: var(--gray-1);
  border-left: 3px solid var(--primary-color);

  color: var(--primary-color);
  font-weight: var(--font-w-medium);
}

.aside-icon {
  font-size: 2rem;
  --ionicon-stroke-width: 40px;
}

/* Aside Mini */
.aside-mini .logo-heading {
  display: none;
}

.aside-mini .aside-link:link,
.aside-mini .aside-link:visited {
  display: flex;
  padding: var(--space-sm);
  justify-content: center;
  align-items: center;
  border: none;
}

.aside-mini .aside-item--active .aside-link:link,
.aside-mini .aside-item--active .aside-link:visited {
  border-left: none;
  background: var(--primary-color);
  color: #fff;
}

.aside-mini .aside-item--active .aside-link:hover,
.aside-mini .aside-item--active .aside-link:active {
  background: var(--primary-color);
}

.aside-mini .aside-item span {
  display: none;
}

/* ======================================= */
/* MAIN */
/* ======================================= */
.main {
  background: var(--gray-1);
  padding: var(--space-lg) var(--space-xl);
}

/* main nav */
.main-nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: var(--space-lg);
}

.nav-title-part {
  display: flex;
  align-items: center;
  gap: var(--space-lg);
}

.toggle-aside-btn {
  cursor: pointer;
  border: none;
  background: var(--gray-1);
}

.toggle-aside-icon {
  font-size: 4.2rem;
  color: var(--primary-color);
}

.notification-icon-container {
  height: 4rem;
  width: 4rem;
  padding: var(--space-xs);
  background: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;

  border: none;
  cursor: pointer;

  transition: background 0.2s;
}

.notification-icon-container:hover {
  background: var(--gray-2);
}

.notification-icon {
  font-size: 3.2rem;
}

/* ======================================= */
/* FOOTER */
/* ======================================= */

.footer {
  text-align: center;
  padding: var(--space-md) 0;
  font-size: var(--font-size-sm);
  margin-block: var(--space-lg);
  margin-bottom: 0;
}

/* ======================================= */
/* PRODUCT 2D cards */
/* ======================================= */

.products-container {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(20rem, 1fr));
  gap: var(--space-md);
  margin-bottom: var(--space-sm);
}

.product-card {
  background: #fff;
  border-radius: 7px;
  border: 1px solid var(--gray-2);
  padding: var(--space-lg) var(--space-md);
  padding-bottom: var(--space-xs);
}

.product-card img {
  width: 100%;
  height: 15rem;
  object-fit: contain;
  border-radius: 5px 5px 0 0;
}

.product-name {
  text-align: center;
  font-size: var(--font-size-lg);
  font-weight: var(--font-w-semibold);
  margin-block: var(--space-xs);
}

.product-price {
  text-align: center;
  font-size: var(--font-size-md);
  font-weight: var(--font-w-medium);
  margin-block: var(--space-xs);
}

/* button */
.add-to-cart-btn {
  padding: var(--space-xs) var(--space-sm);
  border-radius: 7px;
  border: none;
  background: var(--primary-color);
  color: #fff;
  cursor: pointer;
  display: block;
  width: 100%;
  text-align: center;
  font-weight: var(--font-w-medium);
  margin-block: var(--space-md);
  font-size: var(--font-size-sm);

  transition: background 0.2s;
}

.add-to-cart-btn:hover {
  background: var(--seconday-color);
}

.basket-header {
  display: flex;
  align-items: center;
  gap: var(--space-md);
}

.basket-header img {
  height: 4rem;
  width: auto;
}

.basket-table {
  width: 100%;
  border-collapse: collapse;
  font-size: var(--font-size-md);
  text-align: left;
  border-radius: 5px;
  overflow: hidden;
}

.basket-table thead {
  background-color: #ced4da;
}

.basket-table th,
.basket-table td {
  padding: var(--space-sm);
  border: 1px solid var(--gray-1);
}

.basket-table th {
  font-size: var(--font-size-sm);
  font-weight: 600;
}

.basket-table tbody tr {
  transition: background-color 0.1s;
}

.basket-table tbody tr:hover {
  background-color: var(--gray-1);
}

.basket-table .remove-from-basket-btn {
  padding: var(--space-xs) var(--space-sm);
  border: none;
  border-radius: var(--border-radius);
  background-color: var(--primary-color);
  color: #fff;
  cursor: pointer;
  font-size: var(--font-size-sm);
  transition: background-color 0.3s;
}

.basket-table .remove-from-basket-btn:hover {
  background-color: var(--primary-color-dark);
}

.basket-table .action-btns-container {
  border: none;
  border: 1px solid var(--gray-1);
}

.btn-action {
  padding: var(--space-xs);
  border: none;
  cursor: pointer;
  font-size: var(--font-size-sm);
  background: #ced4da;
  /* small shadow */
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
  border-radius: 5px;
  transition: background-color 0.1s;
}

.btn-action:hover {
  background-color: #dee2e6
}

.btn-action--delete {
  color: var(--delete-color);
}

.primary-actions-container {
  display: flex;
  flex-direction: column;
  gap: var(--space-xs);
}

/* ======================================= */
/* ADD BASKET MODAL */
/* ======================================= */

.basket-modal-img-container {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: var(--space-md);
}

.basket-modal-img-container img {
  height: 20rem;
  width: auto;
}

.addons {
  display: flex;
  flex-direction: column;
  gap: var(--space-xl)
}

.addon-header {
  display: flex;
  justify-content: space-between;
  align-items: start;
  margin-bottom: var(--space-sm);
}

.addon-header h4 {
  font-weight: var(--font-w-semibold);
  color: #333;
}

.addon-header p {
  font-weight: var(--font-w-semibold);
  color: #666;
  font-size: var(--font-size-md);
}

.addon-title-meta {
  display: block;
  margin-top: 0;
  font-size: var(--font-size-sm);
  font-weight: var(--font-w-semibold);
  color: #666;
}

.addon-items {
  display: flex;
  flex-direction: column;
  gap: var(--space-xs);
}

.addon-item input[type="checkbox"] {
  height: 2rem;
  width: 2rem;
  accent-color: var(--primary-color);
}

.addon-item {
  display: flex;
  gap: var(--space-md);
  align-items: center;
}

.addon-item>* {
  cursor: pointer;
}

.addon-item label {
  font-size: var(--font-size-md);
  color: #333;
  flex-basis: 100%;
  display: flex;
}

.addon-item-title {
  margin-right: auto;
}

.product-footer {
  display: flex;
  flex-wrap: wrap;
  justify-content: end;
  align-items: center;
  gap: var(--space-md);
  width: 100%;
}

.product-qty-container {
  display: flex;
  gap: var(--space-xs);
}

.input-action {
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  font-family: inherit;
  font-weight: 700;
  color: #222;
  border: 1px solid #ccc;
  width: 10rem;
  padding: 0.8rem 1.6rem;
  border-radius: 7px;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
}

.product-qty-container .btn-action {
  cursor: pointer;
  border: none;
  font-size: 2rem;
  font-weight: 600;
  color: #333;
  max-width: 2rem;
  max-height: 2rem;
  border-radius: 7px;
  padding: var(--spacing-xl);

  display: flex;
  justify-content: center;
  align-items: center;

  transition: background .2s, color .2s, font-weight .2s, color .2s, filter .2s;
}

.add-cart-modal-btn {
  font-size: var(--font-size-md);
}

.addon-list-str {
  font-size: 1.2rem;
  color: #555;
}

.tick-container {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: var(--space-xs);
}

.tick-container img {
  height: 20rem;
  width: auto;
}

.success-foot-btns {
  display: flex;
  flex-wrap: wrap;
  gap: var(--space-xxs);
  justify-content: center;
}

.success-foot-btns>* {
  flex: 1;
}

.success-foot-btns button {
  padding: var(--space-sm) var(--space-lg);
}

.tag--pending {
  background: #f59e0b;
}

.tag--processing {
  background: #1d4ed8;
  color: #fff;
}

.tag--complete {
  /* background: #2f9e44; */
  background: #69db7c;
}

.tag--cancelled {
  /* background: #e03131; */
  background: #ff6b6b;
}


/* ======================================= */
/* BILLING */
/* ======================================= */

#billing-main {
  display: flex;
  flex-wrap: wrap;
  align-items: start;
  gap: var(--space-md);
}

#billing-main>* {
  flex: 1;
}

.billing-container {
  padding: var(--space-lg);
}

.billing-container h3 {
  margin-bottom: var(--space-lg);
}

.billing-order-infos {
  display: flex;
  flex-direction: column;
  gap: var(--space-md);
}

.cart-container {
  padding: var(--space-lg);
}

.cart-container h3 {
  margin-bottom: var(--space-lg);
}

.basket-order-table {
  width: 100%;
  border-collapse: collapse;
  font-size: var(--font-size-md);
  text-align: left;
  border-radius: 5px;
  overflow: hidden;
}

.basket-order-table thead {
  background-color: #ced4da;
}

.basket-order-table th,
.basket-order-table td {
  padding: var(--space-sm);
  border: 1px solid var(--gray-1);
}

.basket-order-table th {
  font-size: var(--font-size-sm);
  font-weight: 600;
}

.basket-order-table tbody tr {
  transition: background-color 0.1s;
}

.basket-order-table tbody tr:hover {
  background-color: var(--gray-1);
}